| Qore Programming Language - C/C++ Library 1.0.8

Public Member Functions | List of all members
TryPrivateDataRefHolder< T > Class Template Reference

convenience class for holding AbstractPrivateData references More...

`#include <QoreObject.h>`

Inheritance diagram for TryPrivateDataRefHolder< T >:
[legend]
Collaboration diagram for TryPrivateDataRefHolder< T >:
[legend]

## Public Member Functions
DLLLOCAL void | operator= (T *nv)
| assigns a new pointer to the holder, dereferences the current pointer if any
Public Member Functions inherited from ReferenceHolder< T >
DLLLOCAL | ReferenceHolder (ExceptionSink *xsink_)
| creates an empty ReferenceHolder
DLLLOCAL | ReferenceHolder (T *p_, ExceptionSink *xsink_)
| populates with object with data and the ExceptionSink pointer
DLLLOCAL | ~ReferenceHolder ()
| calls deref(ExceptionSink *) on the pointer being managed if not 0
DLLLOCAL T ** | getPtrPtr ()
| returns a pointer to the pointer being managed
DLLLOCAL T *& | getRef ()
| returns a reference to the ptr being managed
DLLLOCAL | operator bool () const
| returns true if a non-0 pointer is being managed
DLLLOCAL T * | operator* ()
| returns the pointer being managed
DLLLOCAL const T * | operator* () const
| returns the pointer being managed
DLLLOCAL T * | operator-> ()
| returns the pointer being managed
DLLLOCAL const T * | operator-> () const
| returns the pointer being managed
DLLLOCAL void | operator= (T *nv)
| assigns a new pointer to the holder, dereferences the current pointer if any
DLLLOCAL T * | release ()
| releases the pointer to the caller

## Detailed Description

### template<class T>
class TryPrivateDataRefHolder< T >

convenience class for holding AbstractPrivateData references

The documentation for this class was generated from the following file:

- include/qore/QoreObject.h